%global upstream_name pytest-randomly

Summary:        Pytest plugin to randomly order tests and control random.seed
Name:           python-%{upstream_name}
Version:        3.12.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/pytest-dev/pytest-randomly
Source0:        %{url}/archive/%{version}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(factory-boy)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest-forked)
BuildRequires:  python3dist(pytest-xdist)

%description
%{summary}.

%package -n     python3-%{upstream_name}
Summary:        %{summary}

%description -n python3-%{upstream_name}
%{summary}.

%prep
%autosetup -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_randomly

%check
%pytest -p no:randomly -k 'not test_it_runs_before_stepwise'

%files -n python3-%{upstream_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst HISTORY.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 cunshunxia <cunshunxia@tencent.com> - 3.12.0-1
- initial build
